%define major           1
%define libname         %mklibname %{name} %{major}
%define develname       %mklibname %{name} -d

Name:           protobuf-c
Version:        1.2.1
Release:        %mkrel 1
Summary:        C bindings for Google's Protocol Buffers

Group:          Development/Other
License:        BSD
URL:            https://github.com/protobuf-c/protobuf-c
Source0:        https://github.com/protobuf-c/protobuf-c/releases/download/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  protobuf-devel

%description
Protocol Buffers are a way of encoding structured data in an efficient yet
extensible format. This package provides a code generator and run-time
libraries to use Protocol Buffers from pure C (not C++).

It uses a modified version of protoc called protoc-c.

%package -n     %{libname}
Summary:        Runtime library for %{name}
Group:          System/Libraries

%description -n %{libname}
This package contains the shared %{name} library.

%package -n     %{develname}
Summary:        Protocol Buffers C headers and libraries
Group:          Development/Other
Requires:       %{name} = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains protobuf-c headers and libraries.

%prep
%setup -q

%build
autoreconf -vfi
%configure2_5x --disable-static
%make

%check
make check

%install
%makeinstall_std
# we don't want these
find %{buildroot} -name '*.la' -delete

%files
%doc TODO LICENSE ChangeLog
%{_bindir}/protoc-c

%files -n %{libname}
%{_libdir}/libprotobuf-c.so.%{major}
%{_libdir}/libprotobuf-c.so.%{major}.*

%files -n %{develname}
%dir %{_includedir}/google
%{_includedir}/protobuf-c
%{_includedir}/google/protobuf-c
%{_libdir}/libprotobuf-c.so
%{_libdir}/pkgconfig/libprotobuf-c.pc


%changelog
* Fri May 06 2016 luigiwalser <luigiwalser> 1.2.1-1.mga6
+ Revision: 1009949
- 1.2.1

* Tue Feb 16 2016 umeabot <umeabot> 1.1.1-2.mga6
+ Revision: 962149
- Mageia 6 Mass Rebuild

* Thu Aug 27 2015 daviddavid <daviddavid> 1.1.1-1.mga6
+ Revision: 870242
- new version: 1.1.1

* Thu Aug 27 2015 cjw <cjw> 1.0.2-3.mga6
+ Revision: 870219
- rebuild with gcc 5

* Wed Oct 15 2014 umeabot <umeabot> 1.0.2-2.mga5
+ Revision: 750231
- Second Mageia 5 Mass Rebuild

* Thu Oct 09 2014 luigiwalser <luigiwalser> 1.0.2-1.mga5
+ Revision: 737606
- 1.0.2
- remove patch to fix build error (fixed upstream)

* Tue Sep 16 2014 umeabot <umeabot> 1.0.1-3.mga5
+ Revision: 687800
- Mageia 5 Mass Rebuild

* Mon Sep 01 2014 luigiwalser <luigiwalser> 1.0.1-2.mga5
+ Revision: 670741
- add patch to fix strange build error
- 1.0.1 (sync with fedora)
- library major is now 1
- rebuild for protobuf

* Tue Dec 31 2013 dmorgan <dmorgan> 0.15-3.mga4
+ Revision: 563505
- Rebuild against current protobuf

* Sat Oct 19 2013 umeabot <umeabot> 0.15-2.mga4
+ Revision: 533480
- Mageia 4 Mass Rebuild

* Fri Aug 30 2013 blino <blino> 0.15-1.mga4
+ Revision: 473571
- properly libify
- fore autoreconf to fix libtool mismatch
- imported package protobuf-c

